library IEEE;
use IEEE.std_logic_1164.all;
use IEEE.numeric_std.all;

entity comparateur is

    port(
        I_reg0           : in  std_logic_vector(5 downto 0);
        I_reg1           : in  std_logic_vector(5 downto 0);
        I_reg2           : in  std_logic_vector(5 downto 0);
        I_reg3           : in  std_logic_vector(5 downto 0);
        I_reg4           : in  std_logic_vector(5 downto 0);
        I_nombre_courant : in  std_logic_vector(5 downto 0);
        O_invalide       : out std_logic
        );

end entity comparateur;

architecture arch of comparateur is

begin

    invalide <= '1' when (I_reg0 = I_nombre_courant
                          or I_reg1 = I_nombre_courant
                          or I_reg2 = I_nombre_courant
                          or I_reg3 = I_nombre_courant
                          or I_reg4 = I_nombre_courant
                          ) else '0';

end architecture arch;
